質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

90.48%

  • PHP

    20797questions

    PHPは、Webサイト構築に特化して開発されたプログラミング言語です。大きな特徴のひとつは、HTMLに直接プログラムを埋め込むことができるという点です。PHPを用いることで、HTMLを動的コンテンツとして出力できます。HTMLがそのままブラウザに表示されるのに対し、PHPプログラムはサーバ側で実行された結果がブラウザに表示されるため、PHPスクリプトは「サーバサイドスクリプト」と呼ばれています。

  • Laravel

    692questions

    LaravelとはTaylor Otwellによって開発された、オープンソースなPHPフレームワークです。Laravelはシンプルで表現的なシンタックスを持ち合わせており、ウェブアプリケーション開発の手助けをしてくれます。

  • composer

    157questions

    Composerとは、PHP5.3.2以上で使用可能なパッケージ管理ツールです。指定ディレクトリ内だけでパッケージ管理します。

Composerを使ったLaravelの新規プロジェクト作成時のエラー

解決済

回答 1

投稿 編集

  • 評価
  • クリップ 0
  • VIEW 4,499

Auxo

score 28

Composerを使ってLaravelの新規プロジェクトを作成したいのですが、以下の方法ではエラーとなります。

composer create-project laravel/laravel quickstart --prefer-dist 5.1.*

次の書式であれば正常に実行できます

composer create-project laravel/laravel quickstart --prefer-dist 5.1

5.1系の最新のものを使いたいのですが、上の方法では「Installing laravel/laravel (v5.1.11)」が終わり、「Created project」が実行される際に「RuntimeException」と表示されエラーとなり止まってしまいます。
実際のエラーは

failed to open stream: No such file or directory in /home/example/quickstart/bootstrap/autoload.php on line 17

となっており、おそらくは何か依存ライブラリがないのか「autoload」で失敗しているようなのですが、どこを見れば何が不足しているか確認できるのでしょうか?

そもそも「5.1」と「5.1.11」で依存ライブラリが変更されるほど大きな変更があったのでしょうか?
5.1はLTSということで触ってみようと思ったのですが・・・

※実行時のエラーの全文は次の通りです

Installing laravel/laravel (v5.1.11)
  - Installing laravel/laravel (v5.1.11)
    Loading from cache

Created project in quickstart
> php -r "copy('.env.example', '.env');"
> php artisan clear-compiled
PHP Warning:  require(/home/example/quickstart/bootstrap/../vendor/autoload.php): failed to open stream: No such file or directory in /home/example/quickstart/bootstrap/autoload.php on line 17
PHP Fatal error:  require(): Failed opening required '/home/example/quickstart/bootstrap/../vendor/autoload.php' (include_path='.:/usr/share/pear:/usr/share/php') in /home/example/quickstart/bootstrap/autoload.php on line 17
Script php artisan clear-compiled handling the pre-update-cmd event returned with an error


  [RuntimeException]
  Error Output: PHP Warning:  require(/home/example/quickstart/bootstrap/../vendor/autoload.php): failed to open stream: No suc
  h file or directory in /home/example/quickstart/bootstrap/autoload.php on line 17
  PHP Fatal error:  require(): Failed opening required '/home/example/quickstart/bootstrap/../vendor/autoload.php' (include_pat
  h='.:/usr/share/pear:/usr/share/php') in /home/example/quickstart/bootstrap/autoload.php on line 17


create-project [-s|--stability STABILITY] [--prefer-source] [--prefer-dist] [--repository REPOSITORY] [--repository-url REPOSITORY-URL] [--dev] [--no-dev] [--no-plugins] [--no-custom-installers] [--no-scripts] [--no-progress] [--keep-vcs] [--no-install] [--ignore-platform-reqs] [--] [<package>] [<directory>] [<version>]
  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

回答 1

checkベストアンサー

+1

これはcomposerのアップデートによるバグです。

すでに修正のプルリクはマージされています。
https://github.com/laravel/laravel/commit/3a555f9214e8ab1aa783908783461e111220a2ea

上記のように、composer.jsonのpre-update-cmdを削除して、
post-update-cmdに"php artisan clear-compiled",を移動してくださいー。

その後composer installしてください。

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2016/04/06 10:59

    回答ありがとうございます。

    お教え頂いた方法で無事インストールできました。
    なお、本日時点で同様の方法でインストールを実行したところ、エラーは表示されずに正常にプロジェクトの作成が実行できましたので、修正が反映されたものと思われます。

    ご助言ありがとうございました。

    キャンセル

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 90.48%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる

関連した質問

同じタグがついた質問を見る

  • PHP

    20797questions

    PHPは、Webサイト構築に特化して開発されたプログラミング言語です。大きな特徴のひとつは、HTMLに直接プログラムを埋め込むことができるという点です。PHPを用いることで、HTMLを動的コンテンツとして出力できます。HTMLがそのままブラウザに表示されるのに対し、PHPプログラムはサーバ側で実行された結果がブラウザに表示されるため、PHPスクリプトは「サーバサイドスクリプト」と呼ばれています。

  • Laravel

    692questions

    LaravelとはTaylor Otwellによって開発された、オープンソースなPHPフレームワークです。Laravelはシンプルで表現的なシンタックスを持ち合わせており、ウェブアプリケーション開発の手助けをしてくれます。

  • composer

    157questions

    Composerとは、PHP5.3.2以上で使用可能なパッケージ管理ツールです。指定ディレクトリ内だけでパッケージ管理します。